Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.common.service.impl
Class AcegiSecurityContextProvider

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.common.service.impl.AcegiSecurityContextProvider

All Implemented Interfaces:
  SecurityContextProvider

    public class AcegiSecurityContextProvider

extends java.lang.Object
implements SecurityContextProvider

Version:
  $Id: AcegiSecurityContextProvider.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`AcegiSecurityContextProvider()`

Method Summary
`User` | `getContextUser()`
`java.lang.String` | `getContextUsername()`
`UserAuthorityService` | `getUserAuthorityService()`
`org.acegisecurity.userdetails.UserDetailsService` | `getUserDetailsService()`
`void` | `revertAuthenticatedUser()`
`void` | `setAuthenticatedUser(java.lang.String username)`
`void` | `setUserAuthorityService(UserAuthorityService userAuthorityService)`
`void` | `setUserDetailsService(org.acegisecurity.userdetails.UserDetailsService userDetailsService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcegiSecurityContextProvider

    public AcegiSecurityContextProvider()

Method Detail

### getUserDetailsService

    public org.acegisecurity.userdetails.UserDetailsService getUserDetailsService()

### setUserDetailsService

    public void setUserDetailsService(org.acegisecurity.userdetails.UserDetailsService userDetailsService)

### getUserAuthorityService

    public UserAuthorityService getUserAuthorityService()

### setUserAuthorityService

    public void setUserAuthorityService(UserAuthorityService userAuthorityService)

### getContextUsername

    public java.lang.String getContextUsername()

  Specified by:
    `getContextUsername` in interface `SecurityContextProvider`

### getContextUser

    public User getContextUser()

  Specified by:
    `getContextUser` in interface `SecurityContextProvider`

### setAuthenticatedUser

    public void setAuthenticatedUser(java.lang.String username)

  Specified by:
    `setAuthenticatedUser` in interface `SecurityContextProvider`

### revertAuthenticatedUser

    public void revertAuthenticatedUser()

  Specified by:
    `revertAuthenticatedUser` in interface `SecurityContextProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.